Policies
Get policy
Returns a single policy.
GET
/
workspaces
/
{workspaceSlug}
/
policies
/
{policySlug}
/
Get policy
curl --request GET \
--url https://api.example.com/workspaces/{workspaceSlug}/policies/{policySlug}/import requests
url = "https://api.example.com/workspaces/{workspaceSlug}/policies/{policySlug}/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/workspaces/{workspaceSlug}/policies/{policySlug}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"username": "<string>",
"avatarUrl": "<string>",
"displayName": "<string>"
},
"definition": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"fallback": {
"audio": {
"kind": "erase"
},
"image": {
"kind": "erase"
},
"tabular": {
"kind": "cell",
"spec": {
"kind": "erase"
}
},
"text": {
"kind": "erase"
}
},
"groups": [
{
"labels": [
"<string>"
],
"name": "<string>",
"description": "<string>"
}
],
"labels": {
"builtins": [
"<string>"
],
"custom": [
{
"id": "<string>",
"localizations": {},
"tags": [
"<string>"
],
"category": "<string>"
}
]
},
"rules": [
{
"action": {
"audio": {
"kind": "erase"
},
"image": {
"kind": "erase"
},
"tabular": {
"kind": "cell",
"spec": {
"kind": "erase"
}
},
"text": {
"kind": "erase"
}
},
"kind": "predicated",
"predicate": {
"kind": "confidence",
"min": 123
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>"
}
]
},
"displayName": "<string>",
"slug": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"workspaceSlug": "<string>",
"description": "<string>"
}{
"message": "<string>",
"name": "<string>",
"resource": "<string>",
"suggestion": "<string>",
"validation": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"params": {}
}
]
}{
"message": "<string>",
"name": "<string>",
"resource": "<string>",
"suggestion": "<string>",
"validation": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"params": {}
}
]
}{
"message": "<string>",
"name": "<string>",
"resource": "<string>",
"suggestion": "<string>",
"validation": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"params": {}
}
]
}Path Parameters
URL-safe workspace identifier.
URL slug of the policy, unique within its workspace.
Response
Response type for a workspace policy.
Response type for a workspace policy.
When the policy was created.
Account that created this policy.
Show child attributes
Show child attributes
The structured policy body consumed by the engine.
Show child attributes
Show child attributes
Human-readable policy display name.
URL slug of the policy, unique within its workspace.
Required string length:
3 - 32Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$When the policy was last updated.
Handle of the workspace this policy belongs to.
Required string length:
3 - 32Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Policy description.
Get policy
